"
 COPYRIGHT (c) 2006 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libbasic2' }"

LibraryDefinition subclass:#stx_libbasic2
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects *'
!

!stx_libbasic2 class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2006 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    Build-Information for creation of the st/x standard library: stx_libbasic2
    This library contains additional basic (nonGUI) classes.
"
! !

!stx_libbasic2 class methodsFor:'description'!

preRequisites
    ^ #(
        #'stx:goodies/communication'
        #'stx:libbasic'
        #'stx:libtool'
    )
! !

!stx_libbasic2 class methodsFor:'description - compilation'!

additionalDefinitions_nt_dot_mak
    ^ '
# see stdHeader_nt for LIBBASIC2_BASE
# LIBBASIC2_BASE=0x60c80000
LIB_BASE_LD_ARG=-b:$(LIBBASIC2_BASE)
'
!

additionalLinkLibraries_make_dot_proto
    ^ '$(ZLIB_LD_ARG) $(BZ2LIB_LD_ARG)'
!

additionalRules_make_dot_proto
    ^ '
zlib:
        cd $(ZLIB_DIR); $(MAKE) $(MAKE_ZLIB_ARG)

bz2lib:
        cd $(BZ2LIB_DIR); $(MAKE) $(MAKE_BZ2LIB_ARG) libbz2.a
'
!

additionalTargets_make_dot_proto
    ^ 'bz2lib zlib'

    "Created: / 05-09-2006 / 16:05:12 / cg"
!

localIncludes
    ^ '-I$(TOP)/support'

    "Created: / 06-09-2006 / 18:18:15 / cg"
!

stcOptimizationOptions
    ^ '+optspace2'

    "Created: / 23-08-2006 / 11:06:17 / cg"
! !

!stx_libbasic2 class methodsFor:'description - contents'!

classNamesAndAttributes
    ^ #(
        "<className> or (<className> attributes...) in load order"
        ActorStream
        (AppletalkSocketAddress autoload)
        Archiver
        (Arrow autoload)
        (ArrowedSpline autoload)
        (BIG5EncodedString autoload)
        (BZip2Stream unix autoload)
        Base64Coder
        (Bezier autoload)
        (Bezier2Segment autoload)
        (BinaryTree autoload)
        BooleanArray
        (CRC32Stream autoload)
        CacheDictionary
        (Circle autoload)
        (CollectingSharedQueueStream autoload)
        CompressionStream
        (CompressionStreamTest autoload)
        (Cons autoload)
        (ConsStream autoload)
        (Curve autoload)
        (DecNetSocketAddress autoload)
        DirectoryContents
        (EllipticalArc autoload)
        (EpsonFX1PrinterStream autoload)
        (ExternalLong autoload)
        FileSorter
        (FileText autoload)
        FourByteString
        (GBEncodedString autoload)
        (HPLjetIIPrinterStream autoload)
        (HandlerCollection autoload)
        InterestConverterWithParameters
        (InternalPipeStream autoload)
        Iterator
        (KSCEncodedString autoload)
        (KeywordInContextIndexBuilder autoload)
        (LazyArray autoload)
        (LazyCons autoload)
        (LazyValue autoload)
        (LineSegment autoload)
        List
        MappedCollection
        (MessageChannel autoload)
        Monitor
        NameLookupError
        (NumberSet autoload)
        (OperationQueue autoload)
        OrderedDictionary
        OrderedSet
        Polygon
        (PowerSet autoload)
        PrinterStream
        (PrintfScanf autoload)
        Promise
        Queue
        Random
        RandomGenerator
        (RandomParkMiller autoload)
        (RandomTT800 autoload)
        ReindexedCollection
        RunArray
        (SequenceableCollectionSorter autoload)
        (SerialPort win32)
        SharedCollection
        Singleton
        Socket
        SocketAddress
        SocketAddressInfo
        SoundStream
        (Spline autoload)
        (SplittingWriteStream autoload)
        Stack
        Text
        TextStream
        TimeDuration
        TwoByteString
        URI
        UUID
        UnboxedIntegerArray
        UndoSupport
        UnitConverter
        (UnixPTYStream autoload)
        (ValueLink autoload)
        (VariableArray autoload)
        (VariableString autoload)
        (WinAPIFunction autoload)
        ZipArchive
        (ZipStream unix autoload)
        #'stx_libbasic2'
        BitArray
        CacheDictionaryWithFactory
        HierarchicalURI
        HostAddressLookupError
        HostNameLookupError
        IPSocketAddress
        IntegerArray
        JISEncodedString
        LongIntegerArray
        PostscriptPrinterStream
        SharedQueue
        SignedIntegerArray
        SignedLongIntegerArray
        SignedWordArray
        TimedPromise
        UDSocketAddress
        Unicode16String
        Unicode32String
        WordArray
        FileURI
        FtpURI
        HttpURI
        IPv6SocketAddress
    )

    "Modified: / 29-11-2006 / 09:38:29 / cg"
!

extensionMethodNames
    ^ #(
        Object addInterest:
        Object expressInterestIn:for:sendBack:
        Object interests
        Object interestsFor:
        Object onChangeEvaluate:
        Object onChangeSend:to:
        Object removeInterest:
        Object retractInterestIn:for:
        Object retractInterests
        Object retractInterestsFor:
        Object retractInterestsForWhich:
        Object retractInterestsIn:
        Object when:send:to:
    )
! !

!stx_libbasic2 class methodsFor:'description - project information'!

companyName
    "Return a companyname which will appear in <lib>.rc"

    ^ 'eXept Software AG'
!

description
    "Return a description string which will appear in nt.def / bc.def"

    ^ 'Smalltalk/X Additional Basic Classes'

    "Modified: / 14-09-2006 / 10:57:15 / cg"
!

legalCopyright
    "Return a copyright string which will appear in <lib>.rc"

    ^ 'Copyright Claus Gittinger 1988-2006\nCopyright eXept Software AG 1998-2006'
!

productName
    "Return a product name which will appear in <lib>.rc"

    ^ 'Smalltalk/X'
! !

!stx_libbasic2 class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic2/stx_libbasic2.st,v 1.22 2006-11-29 08:38:52 cg Exp $'
! !
